using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Globalization;
using System.Resources;
using System.Reflection;

namespace ChessApplication
{
	/// <summary>
	/// Summary description for ChessAppAbout.
	/// </summary>
	public class ChessAppAbout : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label AuthorLabel;
		private System.Windows.Forms.Label EmailLabel;
		private System.Windows.Forms.LinkLabel EmailLL;
		private System.Windows.Forms.Button OKBtn;
		private System.Windows.Forms.Label InfoTextLabel;
		private System.Windows.Forms.Label URLLabel;
		private System.Windows.Forms.Label VersionNrLabel;
		private System.Windows.Forms.Label VersionLabel;
		private System.Windows.Forms.LinkLabel URLLL;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		/// <summary>
		/// Constructor for about box
		/// </summary>
		/// <param name="rm"> Used to localize the dialog</param>
		public ChessAppAbout(ResourceManager rm)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			EmailLL.Links.Add(0,18,"mailto:emil@utvecklare.se");

			URLLL.Links.Add(0,20,"http://www.utvecklare.se/ec");
	
			VersionNrLabel.Text = Assembly.GetExecutingAssembly().GetName().Version.ToString();

			this.Text = rm.GetString("HelpAboutMI");
            InfoTextLabel.Text = rm.GetString("InfoTextLabel");
			AuthorLabel.Text = rm.GetString("AuthorLabel");
            EmailLabel.Text = rm.GetString("EmailLabel");
			URLLabel.Text = rm.GetString("URLLabel");
			VersionLabel.Text = rm.GetString("VersionLabel");
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.AuthorLabel = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.EmailLabel = new System.Windows.Forms.Label();
			this.EmailLL = new System.Windows.Forms.LinkLabel();
			this.OKBtn = new System.Windows.Forms.Button();
			this.InfoTextLabel = new System.Windows.Forms.Label();
			this.URLLL = new System.Windows.Forms.LinkLabel();
			this.URLLabel = new System.Windows.Forms.Label();
			this.VersionNrLabel = new System.Windows.Forms.Label();
			this.VersionLabel = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// AuthorLabel
			// 
			this.AuthorLabel.Location = new System.Drawing.Point(16, 120);
			this.AuthorLabel.Name = "AuthorLabel";
			this.AuthorLabel.Size = new System.Drawing.Size(72, 16);
			this.AuthorLabel.TabIndex = 1;
			this.AuthorLabel.Text = "Author:";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(136, 120);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(136, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "Emil Gustafsson";
			// 
			// EmailLabel
			// 
			this.EmailLabel.Location = new System.Drawing.Point(16, 152);
			this.EmailLabel.Name = "EmailLabel";
			this.EmailLabel.Size = new System.Drawing.Size(80, 16);
			this.EmailLabel.TabIndex = 3;
			this.EmailLabel.Text = "Email:";
			// 
			// EmailLL
			// 
			this.EmailLL.Location = new System.Drawing.Point(136, 152);
			this.EmailLL.Name = "EmailLL";
			this.EmailLL.Size = new System.Drawing.Size(136, 16);
			this.EmailLL.TabIndex = 4;
			this.EmailLL.TabStop = true;
			this.EmailLL.Text = "emil@utvecklare.se";
			this.EmailLL.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkLabel1_LinkClicked);
			// 
			// OKBtn
			// 
			this.OKBtn.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.OKBtn.Location = new System.Drawing.Point(88, 240);
			this.OKBtn.Name = "OKBtn";
			this.OKBtn.Size = new System.Drawing.Size(88, 24);
			this.OKBtn.TabIndex = 5;
			this.OKBtn.Text = "OK";
			// 
			// InfoTextLabel
			// 
			this.InfoTextLabel.Location = new System.Drawing.Point(16, 16);
			this.InfoTextLabel.Name = "InfoTextLabel";
			this.InfoTextLabel.Size = new System.Drawing.Size(248, 88);
			this.InfoTextLabel.TabIndex = 6;
			this.InfoTextLabel.Text = "Writing a Chess program is an interesting programming task hence I choose this as" +
				" an application written to show my programming ability. I also wanted something " +
				"to improve my C# and MS .NET knowledge.";
			// 
			// URLLL
			// 
			this.URLLL.Location = new System.Drawing.Point(136, 184);
			this.URLLL.Name = "URLLL";
			this.URLLL.Size = new System.Drawing.Size(128, 16);
			this.URLLL.TabIndex = 8;
			this.URLLL.TabStop = true;
			this.URLLL.Text = "www.utvecklare.se/ec";
			this.URLLL.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.URLLL_LinkClicked);
			// 
			// URLLabel
			// 
			this.URLLabel.Location = new System.Drawing.Point(16, 184);
			this.URLLabel.Name = "URLLabel";
			this.URLLabel.Size = new System.Drawing.Size(80, 16);
			this.URLLabel.TabIndex = 7;
			this.URLLabel.Text = "URL:";
			// 
			// VersionNrLabel
			// 
			this.VersionNrLabel.Location = new System.Drawing.Point(136, 216);
			this.VersionNrLabel.Name = "VersionNrLabel";
			this.VersionNrLabel.Size = new System.Drawing.Size(128, 16);
			this.VersionNrLabel.TabIndex = 10;
			this.VersionNrLabel.Text = "1.0";
			// 
			// VersionLabel
			// 
			this.VersionLabel.Location = new System.Drawing.Point(16, 216);
			this.VersionLabel.Name = "VersionLabel";
			this.VersionLabel.Size = new System.Drawing.Size(72, 16);
			this.VersionLabel.TabIndex = 9;
			this.VersionLabel.Text = "Version:";
			// 
			// ChessAppAbout
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(274, 280);
			this.ControlBox = false;
			this.Controls.Add(this.VersionNrLabel);
			this.Controls.Add(this.VersionLabel);
			this.Controls.Add(this.URLLL);
			this.Controls.Add(this.URLLabel);
			this.Controls.Add(this.InfoTextLabel);
			this.Controls.Add(this.OKBtn);
			this.Controls.Add(this.EmailLL);
			this.Controls.Add(this.EmailLabel);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.AuthorLabel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "ChessAppAbout";
			this.Text = "About Emil Chess";
			this.Load += new System.EventHandler(this.ChessAppAbout_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void ChessAppAbout_Load(object sender, System.EventArgs e)
		{
		
		}

		private void linkLabel1_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			// Determine which link was clicked within the LinkLabel.
			EmailLL.Links[EmailLL.Links.IndexOf(e.Link)].Visited = true;
			// Display the appropriate link based on the value of the LinkData property of the Link object.
			System.Diagnostics.Process.Start(e.Link.LinkData.ToString());		
		}

		private void URLLL_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			// Determine which link was clicked within the LinkLabel.
			URLLL.Links[URLLL.Links.IndexOf(e.Link)].Visited = true;
			// Display the appropriate link based on the value of the LinkData property of the Link object.
			System.Diagnostics.Process.Start(e.Link.LinkData.ToString());				
		}
	}
}
