using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Net;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using System.Globalization;
using System.Resources;

namespace ChessApplication
{
	/// <summary>
	/// Summary description for ChessAppNewGameAsClient.
	/// </summary>
	public class ChessAppNewGameAsClient : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button CancelBtn;
		private System.Windows.Forms.Button ConnectBtn;
		EmilChessService RemoteService;
		private System.Windows.Forms.TextBox ConnectIPAddressTB;
		private System.Windows.Forms.Label ConnectIPAddressLabel;
		private System.Windows.Forms.TextBox ConnectPortTB;
		private System.Windows.Forms.Label ConnectPortLabel;
		private string Connection_failed_becauseStr;
		private System.Windows.Forms.Button HelpBtn;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private string HelpFilePath;

		/// <summary>
		/// The constructor of the New Game as Client.
		/// </summary>
		/// <param name="rm"> Used to localize the dialog</param>
		/// <param name="HelpFilePath"> Used to find the help file</param>
		public ChessAppNewGameAsClient(ResourceManager rm, string HelpFilePath)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			this.HelpFilePath = HelpFilePath;
	        this.Text = rm.GetString("ChessAppNewGameAsClient");
			ConnectIPAddressLabel.Text = rm.GetString("ConnectIPAddressLabel");
			ConnectPortLabel.Text = rm.GetString("ConnectPortLabel");
			ConnectBtn.Text = rm.GetString("ConnectBtn");
			CancelBtn.Text = rm.GetString("CancelBtn");
			HelpBtn.Text = rm.GetString("HelpBtn");
			Connection_failed_becauseStr = rm.GetString("Connection_failed_because");
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// The remote service the will be used by the client.
		/// </summary>
		public EmilChessService Service
		{
			get { return RemoteService;	}
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.ConnectIPAddressTB = new System.Windows.Forms.TextBox();
			this.ConnectIPAddressLabel = new System.Windows.Forms.Label();
			this.ConnectPortTB = new System.Windows.Forms.TextBox();
			this.CancelBtn = new System.Windows.Forms.Button();
			this.ConnectBtn = new System.Windows.Forms.Button();
			this.ConnectPortLabel = new System.Windows.Forms.Label();
			this.HelpBtn = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// ConnectIPAddressTB
			// 
			this.ConnectIPAddressTB.Location = new System.Drawing.Point(184, 8);
			this.ConnectIPAddressTB.Name = "ConnectIPAddressTB";
			this.ConnectIPAddressTB.Size = new System.Drawing.Size(96, 20);
			this.ConnectIPAddressTB.TabIndex = 15;
			this.ConnectIPAddressTB.Text = "127.0.0.1";
			// 
			// ConnectIPAddressLabel
			// 
			this.ConnectIPAddressLabel.Location = new System.Drawing.Point(8, 16);
			this.ConnectIPAddressLabel.Name = "ConnectIPAddressLabel";
			this.ConnectIPAddressLabel.Size = new System.Drawing.Size(176, 16);
			this.ConnectIPAddressLabel.TabIndex = 14;
			this.ConnectIPAddressLabel.Text = "IP Address to connect to:";
			// 
			// ConnectPortTB
			// 
			this.ConnectPortTB.Location = new System.Drawing.Point(184, 32);
			this.ConnectPortTB.Name = "ConnectPortTB";
			this.ConnectPortTB.Size = new System.Drawing.Size(96, 20);
			this.ConnectPortTB.TabIndex = 13;
			this.ConnectPortTB.Text = "8001";
			// 
			// CancelBtn
			// 
			this.CancelBtn.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.CancelBtn.Location = new System.Drawing.Point(108, 80);
			this.CancelBtn.Name = "CancelBtn";
			this.CancelBtn.TabIndex = 12;
			this.CancelBtn.Text = "Cancel";
			// 
			// ConnectBtn
			// 
			this.ConnectBtn.Location = new System.Drawing.Point(16, 80);
			this.ConnectBtn.Name = "ConnectBtn";
			this.ConnectBtn.TabIndex = 11;
			this.ConnectBtn.Text = "Connect";
			this.ConnectBtn.Click += new System.EventHandler(this.ConnectBtn_Click);
			// 
			// ConnectPortLabel
			// 
			this.ConnectPortLabel.Location = new System.Drawing.Point(8, 40);
			this.ConnectPortLabel.Name = "ConnectPortLabel";
			this.ConnectPortLabel.Size = new System.Drawing.Size(176, 16);
			this.ConnectPortLabel.TabIndex = 10;
			this.ConnectPortLabel.Text = "Port to connect to:";
			// 
			// HelpBtn
			// 
			this.HelpBtn.Location = new System.Drawing.Point(200, 80);
			this.HelpBtn.Name = "HelpBtn";
			this.HelpBtn.TabIndex = 16;
			this.HelpBtn.Text = "Help";
			this.HelpBtn.Click += new System.EventHandler(this.HelpBtn_Click);
			// 
			// ChessAppNewGameAsClient
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 128);
			this.ControlBox = false;
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.HelpBtn,
																		  this.ConnectIPAddressTB,
																		  this.ConnectIPAddressLabel,
																		  this.ConnectPortTB,
																		  this.CancelBtn,
																		  this.ConnectBtn,
																		  this.ConnectPortLabel});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "ChessAppNewGameAsClient";
			this.Text = "New Game As Client";
			this.ResumeLayout(false);

		}
		#endregion

		private void ConnectBtn_Click(object sender, System.EventArgs e)
		{
			string serviceStr="tcp://" + ConnectIPAddressTB.Text + ":" + ConnectPortTB.Text + "/EmilChessService";
			ChannelServices.RegisterChannel(
				new TcpChannel());
			RemoteService =
				(EmilChessService)Activator.GetObject(
				typeof(EmilChessService), 
				serviceStr);			
			try 
			{
				RemoteService.HasMsg4Client();
				this.DialogResult = DialogResult.OK;
			}
			catch (System.Net.Sockets.SocketException ex)
			{
				MessageBox.Show(this,ex.Message,Connection_failed_becauseStr);
			}

		}

		private void HelpBtn_Click(object sender, System.EventArgs e)
		{
			Help.ShowHelp(this,HelpFilePath,@"NewGameClient.htm");
		}
	}
}
