using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Globalization;
using System.Resources;
using System.Web.Mail;

namespace ChessApplication
{
	/// <summary>
	/// Summary description for ChessAppSendMail.
	/// </summary>
	public class ChessAppSendMail : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button OKBtn;
		private System.Windows.Forms.Label FromLabel;
		private System.Windows.Forms.Label ToLabel;
		private System.Windows.Forms.Label SubjectLabel;
		private System.Windows.Forms.TextBox MessageTB;
		private System.Windows.Forms.TextBox FromTB;
		private System.Windows.Forms.TextBox ToTB;
		private System.Windows.Forms.TextBox SubjectTB;
		private System.Windows.Forms.Label AttachmentLabel;
		private System.Windows.Forms.TextBox AttachmentTB;
		private System.Windows.Forms.Label MessageLabel;
		private System.Windows.Forms.Button HelpBtn;
		private MailMessage mm;
		private string HelpFilePath;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		/// <summary>
		/// 
		/// </summary>
		/// <param name="rm"> Used to localize the dialog</param>
		/// <param name="HelpFilePath"> Used to find the help file</param>
		/// <param name="mm"></param>
		public ChessAppSendMail(ResourceManager rm, string HelpFilePath, MailMessage mm)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			this.HelpFilePath = HelpFilePath;
			this.Text = rm.GetString("ChessAppSendMail");
			FromLabel.Text = rm.GetString("FromLabel");
			ToLabel.Text = rm.GetString("ToLabel");
			SubjectLabel.Text = rm.GetString("SubjectLabel");
			AttachmentLabel.Text = rm.GetString("AttachmentLabel");
			MessageLabel.Text = rm.GetString("MessageLabel");
			OKBtn.Text = rm.GetString("OKBtn");
			HelpBtn.Text = rm.GetString("HelpBtn");

			this.mm = mm;
			FromTB.Text = mm.From;
            ToTB.Text = mm.To;
            SubjectTB.Text = mm.Subject;
			AttachmentTB.Text = ((MailAttachment)(mm.Attachments[0])).Filename;

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.OKBtn = new System.Windows.Forms.Button();
			this.MessageTB = new System.Windows.Forms.TextBox();
			this.FromTB = new System.Windows.Forms.TextBox();
			this.ToTB = new System.Windows.Forms.TextBox();
			this.SubjectTB = new System.Windows.Forms.TextBox();
			this.FromLabel = new System.Windows.Forms.Label();
			this.ToLabel = new System.Windows.Forms.Label();
			this.SubjectLabel = new System.Windows.Forms.Label();
			this.AttachmentLabel = new System.Windows.Forms.Label();
			this.AttachmentTB = new System.Windows.Forms.TextBox();
			this.MessageLabel = new System.Windows.Forms.Label();
			this.HelpBtn = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// OKBtn
			// 
			this.OKBtn.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.OKBtn.Location = new System.Drawing.Point(48, 248);
			this.OKBtn.Name = "OKBtn";
			this.OKBtn.Size = new System.Drawing.Size(64, 24);
			this.OKBtn.TabIndex = 5;
			this.OKBtn.Text = "OK";
			this.OKBtn.Click += new System.EventHandler(this.OKBtn_Click);
			// 
			// MessageTB
			// 
			this.MessageTB.Location = new System.Drawing.Point(16, 136);
			this.MessageTB.Multiline = true;
			this.MessageTB.Name = "MessageTB";
			this.MessageTB.Size = new System.Drawing.Size(272, 104);
			this.MessageTB.TabIndex = 3;
			this.MessageTB.Text = "";
			// 
			// FromTB
			// 
			this.FromTB.Enabled = false;
			this.FromTB.Location = new System.Drawing.Point(128, 16);
			this.FromTB.Name = "FromTB";
			this.FromTB.Size = new System.Drawing.Size(160, 20);
			this.FromTB.TabIndex = 100;
			this.FromTB.TabStop = false;
			this.FromTB.Text = "";
			// 
			// ToTB
			// 
			this.ToTB.Enabled = false;
			this.ToTB.Location = new System.Drawing.Point(128, 40);
			this.ToTB.Name = "ToTB";
			this.ToTB.Size = new System.Drawing.Size(160, 20);
			this.ToTB.TabIndex = 101;
			this.ToTB.TabStop = false;
			this.ToTB.Text = "";
			// 
			// SubjectTB
			// 
			this.SubjectTB.Location = new System.Drawing.Point(128, 64);
			this.SubjectTB.Name = "SubjectTB";
			this.SubjectTB.Size = new System.Drawing.Size(160, 20);
			this.SubjectTB.TabIndex = 1;
			this.SubjectTB.Text = "";
			this.SubjectTB.TextChanged += new System.EventHandler(this.SubjectTB_TextChanged);
			// 
			// FromLabel
			// 
			this.FromLabel.Location = new System.Drawing.Point(16, 16);
			this.FromLabel.Name = "FromLabel";
			this.FromLabel.Size = new System.Drawing.Size(112, 16);
			this.FromLabel.TabIndex = 5;
			this.FromLabel.Text = "From:";
			// 
			// ToLabel
			// 
			this.ToLabel.Location = new System.Drawing.Point(16, 40);
			this.ToLabel.Name = "ToLabel";
			this.ToLabel.Size = new System.Drawing.Size(112, 16);
			this.ToLabel.TabIndex = 6;
			this.ToLabel.Text = "To:";
			// 
			// SubjectLabel
			// 
			this.SubjectLabel.Location = new System.Drawing.Point(16, 64);
			this.SubjectLabel.Name = "SubjectLabel";
			this.SubjectLabel.Size = new System.Drawing.Size(112, 16);
			this.SubjectLabel.TabIndex = 7;
			this.SubjectLabel.Text = "Subject:";
			// 
			// AttachmentLabel
			// 
			this.AttachmentLabel.Location = new System.Drawing.Point(16, 88);
			this.AttachmentLabel.Name = "AttachmentLabel";
			this.AttachmentLabel.Size = new System.Drawing.Size(112, 16);
			this.AttachmentLabel.TabIndex = 9;
			this.AttachmentLabel.Text = "Attachment:";
			// 
			// AttachmentTB
			// 
			this.AttachmentTB.Enabled = false;
			this.AttachmentTB.Location = new System.Drawing.Point(128, 88);
			this.AttachmentTB.Name = "AttachmentTB";
			this.AttachmentTB.Size = new System.Drawing.Size(160, 20);
			this.AttachmentTB.TabIndex = 103;
			this.AttachmentTB.TabStop = false;
			this.AttachmentTB.Text = "";
			// 
			// MessageLabel
			// 
			this.MessageLabel.Location = new System.Drawing.Point(16, 112);
			this.MessageLabel.Name = "MessageLabel";
			this.MessageLabel.Size = new System.Drawing.Size(280, 16);
			this.MessageLabel.TabIndex = 10;
			this.MessageLabel.Text = "Message:";
			// 
			// HelpBtn
			// 
			this.HelpBtn.Location = new System.Drawing.Point(184, 248);
			this.HelpBtn.Name = "HelpBtn";
			this.HelpBtn.Size = new System.Drawing.Size(64, 24);
			this.HelpBtn.TabIndex = 7;
			this.HelpBtn.Text = "Help";
			this.HelpBtn.Click += new System.EventHandler(this.HelpBtn_Click);
			// 
			// ChessAppSendMail
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(306, 280);
			this.ControlBox = false;
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.HelpBtn,
																		  this.MessageLabel,
																		  this.AttachmentLabel,
																		  this.AttachmentTB,
																		  this.SubjectLabel,
																		  this.ToLabel,
																		  this.FromLabel,
																		  this.SubjectTB,
																		  this.ToTB,
																		  this.FromTB,
																		  this.MessageTB,
																		  this.OKBtn});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "ChessAppSendMail";
			this.Text = "Mail to send";
			this.ResumeLayout(false);

		}
		#endregion

		private void OKBtn_Click(object sender, System.EventArgs e)
		{
			mm.Subject = SubjectTB.Text;
			mm.Body = MessageTB.Text;
		}

		private void HelpBtn_Click(object sender, System.EventArgs e)
		{
			Help.ShowHelp(this,HelpFilePath,@"SendMail.htm");
		}

		private void SubjectTB_TextChanged(object sender, System.EventArgs e)
		{
		
		}
	}
}
